package utals;

public class Utals {

    public static void main(String[] args) throws NemltezSzmlaKivtel, NincsFedezetKivtel, NegatvsszegKivtel {
        Bankfik fik = new Bankfik();
        
        fik.jSzmla(new Bankszmla("12345678", "Gipsz Jakab"));
        fik.jSzmla(new Bankszmla("87654321", "Dzson D"));
        fik.jSzmla(new Bankszmla("12348765", "Dzsn D"));
        fik.befizet("12345678", 100000);
        fik.befizet("87654321", 150000);
        fik.befizet("12348765", 170000);
        egyenlegeketKir(fik, "kezdetben");
        
        fik.tvezet("12345678", "87654321", 57891);
        egyenlegeketKir(fik, "12345678-rl 87654321-ra 57891 tvezetse utn");
        
        fik.tvezet("87654321", "12345678", 57891);
        egyenlegeketKir(fik, "87654321-rl 12345678-ra 57891 tvezetse utn");
        
        try{
            fik.tvezet("87654321", "12348765", 500000);
        }catch(NincsFedezetKivtel e) {
            System.out.println("Nincs fedezet.");
            System.out.println("");
        }
        
        egyenlegeketKir(fik, "miutn nem volt fedezet az utalsra");
    }
    
    private static void egyenlegeketKir(Bankfik fik, String cm) {
        System.out.println(cm);
        System.out.println("----------------------------");
        fik.szmlk().forEach(
            (szmla) -> {
                 System.out.println(szmla.tulajdonosNeve() + "\t" + szmla.szmlaszm() +
                         ": " + szmla.egyenleg());
            }
        );
        System.out.println();
    }
    
}
